## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         reponame    oci-python-sdk
%global         srcname     oci

Name:           python-%{srcname}
Version:        2.154.0
Release:        %autorelease
Summary:        Oracle Cloud Infrastructure SDK for Python

License:        UPL-1.0
URL:            https://github.com/oracle/oci-python-sdk
Source0:        %{url}/archive/v%{version}/%{reponame}-%{version}.tar.gz

# Upstream tries to import a non-existent 'vcr_mods' module.
# https://github.com/oracle/oci-python-sdk/pull/253
Patch0:         https://patch-diff.githubusercontent.com/raw/oracle/oci-python-sdk/pull/253.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(vcrpy)
%endif

%global _description %{expand:
This is the Python SDK for Oracle Cloud Infrastructure. }

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{reponame}-%{version} -p1

# Remove upper limits and pinned dependencies.
sed -i -e 's/,[<= ]\+[0-9\.]\+//' -e 's/==/>=/' pyproject.toml

# Compatibility with pytest 7.4.0
# reported upstream: https://github.com/oracle/oci-python-sdk/issues/565
sed -i 's/--config-file/--config-file-path/' tests/conftest.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import

%if %{with tests}
%pytest tests/autogentest tests/unit tests/integ
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt THIRD_PARTY_LICENSES.txt THIRD_PARTY_LICENSES_DEV.txt
%doc CHANGELOG.rst CONTRIBUTING.rst README.rst README-development.rst


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Packit <hello@packit.dev> - 2.154.0-1
- Update to 2.154.0 upstream release
- Resolves: rhbz#2365805

* Tue May 06 2025 Packit <hello@packit.dev> - 2.151.0-1
- Update to 2.151.0 upstream release
- Resolves: rhbz#2349736

* Tue Feb 25 2025 Packit <hello@packit.dev> - 2.146.0-1
- Update to 2.146.0 upstream release
- Resolves: rhbz#2343679

* Fri Jan 31 2025 Major Hayden <major@redhat.com> - 2.143.1-2
- Update versions in pyproject.toml

* Tue Jan 28 2025 Packit <hello@packit.dev> - 2.143.1-1
- Update to 2.143.1 upstream release
- Resolves: rhbz#2337365

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.141.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 20 2024 Packit <hello@packit.dev> - 2.141.1-1
- Update to 2.141.1 upstream release
- Resolves: rhbz#2331323

* Tue Nov 19 2024 Packit <hello@packit.dev> - 2.139.0-1
- Update to 2.139.0 upstream release
- Resolves: rhbz#2325449

* Wed Nov 06 2024 Packit <hello@packit.dev> - 2.138.0-1
- Update to 2.138.0 upstream release
- Resolves: rhbz#2322644

* Mon Oct 28 2024 Major Hayden <major@redhat.com> - 2.137.0-1
- Update to 2.137.0 rhbz#2319022

* Tue Oct 15 2024 Packit <hello@packit.dev> - 2.136.0-1
- Update to 2.136.0 upstream release
- Resolves: rhbz#2319022

* Thu Oct 10 2024 Packit <hello@packit.dev> - 2.135.2-1
- Update to 2.135.2 upstream release
- Resolves: rhbz#2317738

* Wed Oct 02 2024 Packit <hello@packit.dev> - 2.135.1-1
- Update to 2.135.1 upstream release
- Resolves: rhbz#2316159

* Wed Sep 25 2024 Packit <hello@packit.dev> - 2.135.0-1
- Update to 2.135.0 upstream release
- Resolves: rhbz#2314609

* Fri Sep 20 2024 Packit <hello@packit.dev> - 2.134.0-1
- Update to 2.134.0 upstream release
- Resolves: rhbz#2313725

* Tue Sep 03 2024 Packit <hello@packit.dev> - 2.133.0-1
- Update to 2.133.0 upstream release
- Resolves: rhbz#2309516

* Thu Aug 22 2024 Packit <hello@packit.dev> - 2.132.0-1
- Update to 2.132.0 upstream release
- Resolves: rhbz#2307287

* Thu Aug 15 2024 Packit <hello@packit.dev> - 2.131.1-1
- Update to 2.131.1 upstream release
- Resolves: rhbz#2305045

* Wed Aug 07 2024 Packit <hello@packit.dev> - 2.131.0-1
- Update to 2.131.0 upstream release
- Resolves: rhbz#2303447

* Wed Jul 31 2024 Packit <hello@packit.dev> - 2.130.0-1
- Update to 2.130.0 upstream release
- Resolves: rhbz#2299695

* Tue Jul 23 2024 Packit <hello@packit.dev> - 2.129.3-1
- Update to 2.129.3 upstream release
- Resolves: rhbz#2298444

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.129.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 10 2024 Packit <hello@packit.dev> - 2.129.2-1
- Update to 2.129.2 upstream release
- Resolves: rhbz#2296992

* Wed Jul 03 2024 Packit <hello@packit.dev> - 2.129.1-1
- Update to 2.129.1 upstream release
- Resolves: rhbz#2295639

* Wed Jun 26 2024 Packit <hello@packit.dev> - 2.129.0-1
- Update to 2.129.0 upstream release
- Resolves: rhbz#2294358

* Wed Jun 19 2024 Packit <hello@packit.dev> - 2.128.2-1
- Update to 2.128.2 upstream release
- Resolves: rhbz#2291454

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 2.128.0-2
- Rebuilt for Python 3.13

* Tue Jun 04 2024 Packit <hello@packit.dev> - 2.128.0-1
- Update to 2.128.0 upstream release
- Resolves: rhbz#2290346

* Wed May 29 2024 Packit <hello@packit.dev> - 2.127.0-1
- Update to 2.127.0 upstream release
- Resolves: rhbz#2283718

* Tue May 21 2024 Packit <hello@packit.dev> - 2.126.4-1
- Update to 2.126.4 upstream release
- Resolves: rhbz#2282094

* Tue May 07 2024 Packit <hello@packit.dev> - 2.126.2-1
- Update to 2.126.2 upstream release
- Resolves: rhbz#2279573

* Tue Apr 30 2024 Packit <hello@packit.dev> - 2.126.1-1
- Update to 2.126.1 upstream release
- Resolves: rhbz#2277929

* Tue Apr 23 2024 Packit <hello@packit.dev> - 2.126.0-1
- Update to 2.126.0 upstream release
- Resolves: rhbz#2276710

* Tue Apr 16 2024 Packit <hello@packit.dev> - 2.125.3-1
- Update to 2.125.3 upstream release
- Resolves: rhbz#2275296

* Tue Apr 09 2024 Packit <hello@packit.dev> - 2.125.2-1
- Update to 2.125.2 upstream release
- Resolves: rhbz#2274131

* Wed Apr 03 2024 Packit <hello@packit.dev> - 2.125.1-1
- Update to 2.125.1 upstream release
- Resolves: rhbz#2272933

* Tue Mar 26 2024 Packit <hello@packit.dev> - 2.125.0-1
- [packit] 2.125.0 upstream release
- Resolves: rhbz#2271619

* Fri Mar 22 2024 Major Hayden <major@redhat.com> - 2.124.2-2
- Remove upper limits + pins

* Thu Mar 21 2024 Major Hayden <major@redhat.com> - 2.124.2-1
- Update to 2.124.2 rhbz#2266516

* Mon Feb 26 2024 Major Hayden <major@redhat.com> - 2.122.0-1
- Update to 2.122.0 rhbz#2264058

* Tue Feb 13 2024 Packit <hello@packit.dev> - 2.121.1-1
- [packit] 2.121.1 upstream release
- Resolves rhbz#2264058

* Tue Feb 06 2024 Packit <hello@packit.dev> - 2.121.0-1
- [packit] 2.121.0 upstream release
- Resolves rhbz#2263009

* Wed Jan 31 2024 Packit <hello@packit.dev> - 2.120.0-1
- [packit] 2.120.0 upstream release
- Resolves rhbz#2262066

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.119.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 24 2024 Major Hayden <major@redhat.com> - 2.119.1-1
- Update ot 2.119.1

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.119.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Packit <hello@packit.dev> - 2.119.0-1
- [packit] 2.119.0 upstream release
- Resolves rhbz#2258605

* Wed Jan 10 2024 Major Hayden <major@redhat.com> - 2.118.2-1
- Revert "Revert to 2.118.1 temporarily"

* Wed Jan 10 2024 Major Hayden <major@redhat.com> - 2.118.1-1
- Revert to 2.118.1 temporarily

* Wed Jan 10 2024 Packit <hello@packit.dev> - 2.118.2-1
- [packit] 2.118.2 upstream release
- Resolves rhbz#2257701

* Wed Dec 13 2023 Packit <hello@packit.dev> - 2.118.0-1
- [packit] 2.118.0 upstream release
- Resolves rhbz#2254285

* Wed Dec 06 2023 Packit <hello@packit.dev> - 2.117.0-1
- [packit] 2.117.0 upstream release
- Resolves rhbz#2253101

* Tue Nov 14 2023 Packit <hello@packit.dev> - 2.116.0-1
- [packit] 2.116.0 upstream release
- Resolves rhbz#2249656

* Tue Nov 07 2023 Packit <hello@packit.dev> - 2.115.1-1
- [packit] 2.115.1 upstream release
- Resolves rhbz#2248531

* Wed Nov 01 2023 Packit <hello@packit.dev> - 2.115.0-1
- [packit] 2.115.0 upstream release
- Resolves rhbz#2247457

* Wed Oct 25 2023 Major Hayden <major@redhat.com> - 2.114.0-1
- Update to 2.114.0 rhbz#2246033

* Thu Oct 19 2023 Major Hayden <major@redhat.com> - 2.113.0-1
- Update to 2.113.0

* Wed Oct 11 2023 Packit <hello@packit.dev> - 2.112.4-1
- [packit] 2.112.4 upstream release

* Tue Oct 03 2023 Packit <hello@packit.dev> - 2.112.3-1
- [packit] 2.112.3 upstream release

* Thu Sep 14 2023 Packit <hello@packit.dev> - 2.112.1-1
- [packit] 2.112.1 upstream release

* Wed Sep 06 2023 Packit <hello@packit.dev> - 2.112.0-1
- [packit] 2.112.0 upstream release

* Wed Aug 30 2023 Packit <hello@packit.dev> - 2.111.0-1
- [packit] 2.111.0 upstream release

* Wed Aug 23 2023 Packit <hello@packit.dev> - 2.110.2-1
- [packit] 2.110.2 upstream release

* Wed Aug 16 2023 Major Hayden <major@redhat.com> - 2.110.1-1
- Update to 2.110.1

* Thu Aug 10 2023 Packit <hello@packit.dev> - 2.110.0-1
- [packit] 2.110.0 upstream release

* Wed Aug 09 2023 Lumir Balhar <lbalhar@redhat.com> - 2.109.0-2
- Fix compatibility with pytest 7.4.0

* Wed Aug 02 2023 Packit <hello@packit.dev> - 2.109.0-1
- [packit] 2.109.0 upstream release

* Tue Jul 25 2023 Packit <hello@packit.dev> - 2.108.0-1
- [packit] 2.108.0 upstream release

* Tue Jul 25 2023 Major Hayden <major@redhat.com> - 2.107.0-3
- Allow newer version of circuitbreaker

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.107.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 19 2023 Packit <hello@packit.dev> - 2.107.0-1
- [packit] 2.107.0 upstream release

* Thu Jul 13 2023 Major Hayden <major@redhat.com> - 2.106.0-2
- Don't auto build package using packit

* Wed Jul 12 2023 Packit <hello@packit.dev> - 2.106.0-1
- [packit] 2.106.0 upstream release

* Wed Jul 12 2023 Major Hayden <major@redhat.com> - 2.105.0-4
- Update tag template for packit

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.105.0-3
- Add packit file

* Sat Jul 01 2023 Python Maint <python-maint@redhat.com> - 2.105.0-2
- Rebuilt for Python 3.12

* Wed Jun 28 2023 Major Hayden <major@redhat.com> - 2.105.0-1
- Update to 2.105.0 rhbz#2216390

* Fri Jun 16 2023 Major Hayden <major@redhat.com> - 2.104.2-1
- Update to 2.104.2 rhbz#2214950

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 2.104.1-1
- Update to 2.104.1 rhbz#2213344

* Tue May 30 2023 Major Hayden <major@redhat.com> - 2.104.0-1
- Update to 2.104.0 rhbz#2211216

* Tue May 23 2023 Major Hayden <major@redhat.com> - 2.103.0-1
- Update to 2.103.0 rhbz#2209390

* Mon May 22 2023 Major Hayden <major@redhat.com> - 2.102.0-2
- Remove cryptography upper limit

* Tue May 16 2023 Major Hayden <major@redhat.com> - 2.102.0-1
- Update to 2.102.0

* Thu May 11 2023 Major Hayden <major@redhat.com> - 2.101.0-1
- Initial import rhbz#2190312
## END: Generated by rpmautospec
